Bug 802441 - [abrt] labyrinth-0.4.0-8.fc15: MMapArea.py:718:draw:AttributeError: 'MMapArea' object has no attribute 'bbox_current'
[abrt] labyrinth-0.4.0-8.fc15: MMapArea.py:718:draw:AttributeError: 'MMapArea...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: labyrinth (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
abrt_hash:5ca5ca6a29d088b3d5e8a1b2b9b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 10:43 EDT by Maverick Kaung
Modified: 2013-02-13 09:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maverick Kaung 2012-03-12 10:43:36 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/labyrinth
comment:        I just opened new file and this showed up.
executable:     /usr/bin/labyrinth
kernel:         3.2.9-1.fc16.i686
reason:         MMapArea.py:718:draw:AttributeError: 'MMapArea' object has no attribute 'bbox_current'
time:           Mon 12 Mar 2012 22:39:55 MYT
username:       maverick

backtrace:
:MMapArea.py:718:draw:AttributeError: 'MMapArea' object has no attribute 'bbox_current'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/labyrinth/MMapArea.py", line 695, in expose
:    self.draw (event, context)
:  File "/usr/lib/python2.7/site-packages/labyrinth/MMapArea.py", line 718, in draw
:    context.rectangle(xs, ys, self.bbox_current[0] - xs, self.bbox_current[1] - ys)
:AttributeError: 'MMapArea' object has no attribute 'bbox_current'
:
:Local variables in innermost frame:
:alloc: gtk.gdk.Rectangle(15, 79, 1250, 863)
:area: gtk.gdk.Rectangle(0, 0, 1250, 863)
:self: <MMapArea object at 0x8b6f8ec (MMapArea+MMapArea at 0x8cfff58)>
:context: <gtk.gdk.CairoContext object at 0x8920f20>
:xs: 538.0
:ys: 345.0
:event: <gtk.gdk.Event at 0x8c35c20: GDK_EXPOSE area=[0, 0, 1250, 863]>

smolt_data:
:
:
:General
:=================================
:UUID: ca03dbf6-06d5-4e59-9d0e-e7c7faf1f12d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: i686
:BogoMIPS: 4389.21
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6600  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 2009
:System Swap: 4031
:Vendor: Dell Inc.
:System: Studio 1555 A07
:Form factor: Portable
:Kernel: 3.2.9-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5784:4136:702) pci, tg3, ETHERNET, NetLink BCM5784M Gigabit Ethernet PCIe
:(32902:10816:4136:702) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4136:702) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:16946:32902:4897) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10544:4136:702) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4136:702) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4136:702) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4136:702) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4136:702) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4480:2130:4136:702) pci, r852, BASE, xD-Picture Card Controller
:(32902:10566:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4480:2098:4136:702) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4136:702) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1426:4136:702) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(32902:10558:4136:702) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:4136:702) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38227:4136:702) pci, radeon, VIDEO, M92 [Mobility Radeon HD 4500/5100 Series]
:(32902:10570:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_glider-lv_root / ext4 4096 4096 13092026 10634965 10503946 3276800 2881290 2881290
:/dev/sda1 /boot ext4 1024 1024 508745 413981 388381 128016 127766 127766
:/dev/mapper/vg_glider-lv_home /home ext4 4096 4096 63798936 38441686 35248035 15974400 15129571 15129571
:
Comment 1 Fedora End Of Life 2013-01-16 08:32:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:23:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.